Subject: Re: bug#16120: grep and tramp

From: Michael Albinus <[email-masked]>
Date: Sat, 08 Feb 2014 14:39:03 +0100

Michael Albinus <[email-masked]> writes:

> Paul Pogonyshev <[email-masked]> writes:

Hi Paul,

>> Grep over tramp fails to insert header in its output buffer. (I
>> remember reporting this bug, but I didn't notice it was about tramp
>> then; I tried with 'emacs -q' now).
>
> I know that behaviour. The reason is, that the current implementation
> would also include a prompt from the remote machine after that header;
> it's not easy to suppress it. That's why Tramp hides everything before
> the grep output.
>
> I will take this bug report as encouragement to find a proper solution :-)

I've fixed this now, changes committed to the repositories. Closing the bug.

>> Paul

Best regards, Michael.